
# files changing between kernel versions

if [ -e /sys/class/backlight/pandora-backlight ]; then
	SYSFS_BACKLIGHT=/sys/class/backlight/pandora-backlight
elif [ -e /sys/class/backlight/twl4030-pwm0-bl ]; then
	SYSFS_BACKLIGHT=/sys/class/backlight/twl4030-pwm0-bl
else
	echo "ERROR: backlight control not found" >&2
	SYSFS_BACKLIGHT=/dev/null
fi
SYSFS_BACKLIGHT_BRIGHTNESS=${SYSFS_BACKLIGHT}/brightness

if [ -e /sys/devices/omapdss/display0/gamma ]; then
	SYSFS_GAMMA=/sys/devices/omapdss/display0/gamma
elif [ -e /sys/devices/platform/omap2_mcspi.1/spi1.1/gamma ]; then
	SYSFS_GAMMA=/sys/devices/platform/omap2_mcspi.1/spi1.1/gamma
else
	echo "ERROR: gamma control not found" >&2
	SYSFS_GAMMA=/dev/null
fi

SYSFS_DSS_GAMMA=/sys/devices/platform/omapdss/display0/dss_gamma

# scripts run as root, but often need currently logged-in user
get_user()
{
	# this file is created by .xinitrc
	test -f /tmp/currentuser && _gu_user=$(cat /tmp/currentuser)
	if [ -z "$_gu_user" ]; then
		# try xfce4-session. ps can output names but only upto 19 chars, so resolve manually..
		_gu_user_id=$(ps --no-headers -o ruid -C xfce4-session | tail -n1 | awk '{print $1}')
		_gu_user=$(grep ":x:$_gu_user_id:" /etc/passwd | awk -F: '{print $1}')
	fi
	if [ -z "$_gu_user" ]; then
		echo "ERROR: can't determine currently logged-in user" >&2
		exit 1
	fi
	echo $_gu_user
}

get_user_home()
{
	_gu_user=$(get_user)
	_gu_user_home=$(grep "^$_gu_user:" /etc/passwd | awk -F: '{print $6}')
	if [ -z "$_gu_user_home" ]; then
		echo "ERROR: can't determine currently logged-in user's home" >&2
		exit 1
	fi
	echo $_gu_user_home
}

