#!/bin/bash

DOWNLOAD() {
rand="$RANDOM `date`"
pipe="/tmp/pipe.`echo '$rand' | md5sum | tr -d ' -'`"
mkfifo $pipe
wget --tries=0 -c $1 2>&1 | while read data;do
if [ "`echo $data | grep '^Length:'`" ]; then
total_size=`echo $data | grep "^Length:" | sed 's/.*\((.*)\).*/\1/' | tr -d '()'` 
fi
if [ "`echo $data | grep '[0-9]*%' `" ];then 
percent=`echo $data | grep -o "[0-9]*%" | tr -d '%'` 
current=`echo $data | grep "[0-9]*%" | sed 's/\([0-9BKMG.]\+\).*/\1/' ` 
speed=`echo $data | grep "[0-9]*%" | sed 's/.*\(% [0-9BKMG.]\+\).*/\1/' | tr -d ' %'` 
remain=`echo $data | grep -o "[0-9A-Za-z]*$" ` 
echo $percent
echo "#Downloading PNDManager\n$current of $total_size ($percent%)\nSpeed : $speed/Sec\nEstimated time : $remain"
fi
done > $pipe &

wget_info=`ps ax |grep "wget.*$1" |awk '{print $1"|"$2}'`
wget_pid=`echo $wget_info|cut -d'|' -f1 `

zenity --progress --auto-close --text="Connecting to Server...1\n\n\n" --width="350" --title="Downloading"< $pipe
if [ "`ps -A |grep "$wget_pid"`" ];then
kill $wget_pid
fi
rm -f $pipe
}


if selection=$(grep "/dev/mmcblk" /proc/mounts | cut -f 2 -d " " | sed 's/\\040/ /g' | zenity --title="Get PNDManager" --width="380" --height="250" --list --text="PNDManager is the recommended tool to easily install, update\n and delete programs on your Pandora.\n\nIt is not preinstalled on the Pandora but this tool\ncan automatically download it to your SD Card.\n\nYou can safely delete the icon from the desktop\nin case you do not need it anymore.\n\nPlease make sure you currently have a working internet connection\nand select the SD Card where you want to install it.\n\n" --column="Select card"); then
	mkdir $selection/pandora
	mkdir $selection/pandora/apps
	cd $selection/pandora/apps/
 	DOWNLOAD "http://www.openpandora.org/downloads/pndmanager.pnd"
	zenity --info --title="Finished" --text "You might have to remove/reinsert your SD Card to force a rescan and let PNDManager appear.\n\nIn case you aborted the download, restart this tool to resume.\n\nYou can safely delete the icon from the desktop in case you do not need it anymore."
else
	exit
fi
